curl --request PUT \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/dns-zones/{id}/records/{record_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"record_type": "A",
"name": "<string>",
"content": "<string>",
"ttl": 43200,
"priority": 32767,
"proxied": true
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"record_type": "A",
"name": "<string>",
"content": "<string>",
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"ttl": 2147483647,
"priority": 2147483647,
"proxied": true
}Update an existing DNS record’s configuration. You can modify the name, content, TTL, and proxy status (for applicable types). The record type cannot be changed; delete and recreate the record if you need to change its type. Changes are immediately propagated to Cloudflare’s global network.
curl --request PUT \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/dns-zones/{id}/records/{record_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"record_type": "A",
"name": "<string>",
"content": "<string>",
"ttl": 43200,
"priority": 32767,
"proxied": true
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"record_type": "A",
"name": "<string>",
"content": "<string>",
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"ttl": 2147483647,
"priority": 2147483647,
"proxied": true
}Documentation Index
Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt
Use this file to discover all available pages before exploring further.
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
The unique identifier (UUID) of the DNS zone
The unique identifier (UUID) of the DNS record to update
A - AAAAA - AAAACNAME - CNAMEMX - MXTXT - TXTNS - NSSRV - SRVCAA - CAAPTR - PTRSOA - SOAA, AAAA, CNAME, MX, TXT, NS, SRV, CAA, PTR, SOA 2531 <= x <= 864000 <= x <= 65535DNS record updated successfully
A - AAAAA - AAAACNAME - CNAMEMX - MXTXT - TXTNS - NSSRV - SRVCAA - CAAPTR - PTRSOA - SOAA, AAAA, CNAME, MX, TXT, NS, SRV, CAA, PTR, SOA 2530 <= x <= 42949672950 <= x <= 4294967295